/* LCM type definition class file
 * This file was automatically generated by lcm-gen
 * DO NOT MODIFY BY HAND!!!!
 */

package exlcm;
 
import java.io.*;
import java.util.*;
import lcm.lcm.*;
 
public final class imu_type implements lcm.lcm.LCMEncodable
{
    public long timestamp;
    public float magx;
    public float magy;
    public float magz;
    public float accelx;
    public float accely;
    public float accelz;
    public float gyrox;
    public float gyroy;
    public float gyroz;
 
    public imu_type()
    {
    }
 
    public static final long LCM_FINGERPRINT;
    public static final long LCM_FINGERPRINT_BASE = 0xcf5b70146f9a8a7aL;
 
    static {
        LCM_FINGERPRINT = _hashRecursive(new ArrayList<Class<?>>());
    }
 
    public static long _hashRecursive(ArrayList<Class<?>> classes)
    {
        if (classes.contains(exlcm.imu_type.class))
            return 0L;
 
        classes.add(exlcm.imu_type.class);
        long hash = LCM_FINGERPRINT_BASE
            ;
        classes.remove(classes.size() - 1);
        return (hash<<1) + ((hash>>63)&1);
    }
 
    public void encode(DataOutput outs) throws IOException
    {
        outs.writeLong(LCM_FINGERPRINT);
        _encodeRecursive(outs);
    }
 
    public void _encodeRecursive(DataOutput outs) throws IOException
    {
        outs.writeLong(this.timestamp); 
 
        outs.writeFloat(this.magx); 
 
        outs.writeFloat(this.magy); 
 
        outs.writeFloat(this.magz); 
 
        outs.writeFloat(this.accelx); 
 
        outs.writeFloat(this.accely); 
 
        outs.writeFloat(this.accelz); 
 
        outs.writeFloat(this.gyrox); 
 
        outs.writeFloat(this.gyroy); 
 
        outs.writeFloat(this.gyroz); 
 
    }
 
    public imu_type(byte[] data) throws IOException
    {
        this(new LCMDataInputStream(data));
    }
 
    public imu_type(DataInput ins) throws IOException
    {
        if (ins.readLong() != LCM_FINGERPRINT)
            throw new IOException("LCM Decode error: bad fingerprint");
 
        _decodeRecursive(ins);
    }
 
    public static exlcm.imu_type _decodeRecursiveFactory(DataInput ins) throws IOException
    {
        exlcm.imu_type o = new exlcm.imu_type();
        o._decodeRecursive(ins);
        return o;
    }
 
    public void _decodeRecursive(DataInput ins) throws IOException
    {
        this.timestamp = ins.readLong();
 
        this.magx = ins.readFloat();
 
        this.magy = ins.readFloat();
 
        this.magz = ins.readFloat();
 
        this.accelx = ins.readFloat();
 
        this.accely = ins.readFloat();
 
        this.accelz = ins.readFloat();
 
        this.gyrox = ins.readFloat();
 
        this.gyroy = ins.readFloat();
 
        this.gyroz = ins.readFloat();
 
    }
 
    public exlcm.imu_type copy()
    {
        exlcm.imu_type outobj = new exlcm.imu_type();
        outobj.timestamp = this.timestamp;
 
        outobj.magx = this.magx;
 
        outobj.magy = this.magy;
 
        outobj.magz = this.magz;
 
        outobj.accelx = this.accelx;
 
        outobj.accely = this.accely;
 
        outobj.accelz = this.accelz;
 
        outobj.gyrox = this.gyrox;
 
        outobj.gyroy = this.gyroy;
 
        outobj.gyroz = this.gyroz;
 
        return outobj;
    }
 
}

